'use strict';

var chunkH736K5TN_js = require('./chunk-H736K5TN.js');
var nestjsRabbitmq = require('@golevelup/nestjs-rabbitmq');
var log = require('@lsk4/log');
var common = require('@nestjs/common');

function _ts_decorate(decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
    r = Reflect.decorate(decorators, target, key, desc);
  else
    for (var i = decorators.length - 1; i >= 0; i--)
      if (d = decorators[i])
        r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
}
chunkH736K5TN_js.__name(_ts_decorate, "_ts_decorate");
function _ts_metadata(k, v) {
  if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
    return Reflect.metadata(k, v);
}
chunkH736K5TN_js.__name(_ts_metadata, "_ts_metadata");
exports.RmqService = class RmqService {
  static {
    chunkH736K5TN_js.__name(this, "RmqService");
  }
  amqpConnection;
  constructor(amqpConnection) {
    this.amqpConnection = amqpConnection;
  }
  async publish(exchange, routingKey, data) {
    const ns = [
      "rmq",
      exchange,
      routingKey
    ].filter(Boolean).join(":");
    const log$1 = log.createLogger(ns);
    log$1.trace("publish", data);
    const time = Date.now();
    const res = await this.amqpConnection.publish(exchange, routingKey, data);
    const ms = Date.now() - time;
    log$1.debug("publish", data, res || "OK", {
      ms
    });
    return res;
  }
  async request(raw) {
    const { exchange, routingKey } = raw;
    const ns = [
      "rmq",
      exchange,
      routingKey
    ].filter(Boolean).join(":");
    const log$1 = log.createLogger(ns);
    log$1.trace("request", raw);
    const time = Date.now();
    const res = await this.amqpConnection.request(raw);
    const ms = Date.now() - time;
    log$1.debug("request", raw, res || "OK", {
      ms
    });
    return res;
  }
};
exports.RmqService = _ts_decorate([
  common.Injectable(),
  _ts_metadata("design:type", Function),
  _ts_metadata("design:paramtypes", [
    typeof nestjsRabbitmq.AmqpConnection === "undefined" ? Object : nestjsRabbitmq.AmqpConnection
  ])
], exports.RmqService);
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-LUEI3OD7.js.map