'use strict';

var chunkH736K5TN_js = require('./chunk-H736K5TN.js');
var env = require('@lsk4/env');
var log$1 = require('@lsk4/log');

var rmqConfig = {};
var rmqDeliveryAttempts = {};
var defaultRmqConfig = {
  errDelay: env.isDev ? 1e3 : 100,
  maxAttempts: env.isDev ? 3 : 20,
  isLog: env.isDev
};
var log = log$1.createLogger({
  ns: "rmq:config"
});
var setRmqConfig = /* @__PURE__ */ chunkH736K5TN_js.__name((config) => {
  log.trace("set", config);
  Object.assign(rmqConfig, config);
}, "setRmqConfig");
var getRmqConfig = /* @__PURE__ */ chunkH736K5TN_js.__name((deepKey) => {
  const keys = deepKey.split(".");
  let value = rmqConfig;
  for (const key of keys) {
    value = value?.[key];
  }
  log.trace("get", deepKey, value);
  return value;
}, "getRmqConfig");
setRmqConfig(defaultRmqConfig);

exports.defaultRmqConfig = defaultRmqConfig;
exports.getRmqConfig = getRmqConfig;
exports.rmqConfig = rmqConfig;
exports.rmqDeliveryAttempts = rmqDeliveryAttempts;
exports.setRmqConfig = setRmqConfig;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-QINYOTRU.js.map