import { RabbitHandlerConfig } from '@golevelup/nestjs-rabbitmq';
import * as amqplib from 'amqplib';

type RmqChannel = amqplib.Channel;
type RmqConsumeMessage = amqplib.ConsumeMessage;
type RmqRPCConfigProps = Pick<RabbitHandlerConfig, 'queue' | 'name' | 'connection' | 'exchange' | 'routingKey' | 'createQueueIfNotExists' | 'assertQueueErrorHandler' | 'queueOptions' | 'errorBehavior' | 'errorHandler' | 'allowNonJsonMessages'> & {
    prefetchCount?: number;
};
type RmqRequestPayload = {
    pattern: string;
    data: any;
    meta?: any;
};

export type { RmqChannel, RmqConsumeMessage, RmqRPCConfigProps, RmqRequestPayload };
