import * as amqplib from 'amqplib';
import { AmqpConnection } from '@golevelup/nestjs-rabbitmq';
import { RmqRequestPayload } from './types.js';

declare class RmqService {
    private readonly amqpConnection;
    constructor(amqpConnection: AmqpConnection);
    publish(exchange: string, routingKey: string, payload: RmqRequestPayload): Promise<amqplib.Replies.Empty>;
    request(raw: {
        exchange: string;
        routingKey: string;
        timeout: number;
        payload: RmqRequestPayload;
    }): Promise<unknown>;
}

export { RmqService };
