import { __name } from './chunk-H736K5TN.js';
import { AmqpConnection } from '@golevelup/nestjs-rabbitmq';
import { createLogger } from '@lsk4/log';
import { Injectable } from '@nestjs/common';

function _ts_decorate(decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
    r = Reflect.decorate(decorators, target, key, desc);
  else
    for (var i = decorators.length - 1; i >= 0; i--)
      if (d = decorators[i])
        r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
}
__name(_ts_decorate, "_ts_decorate");
function _ts_metadata(k, v) {
  if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
    return Reflect.metadata(k, v);
}
__name(_ts_metadata, "_ts_metadata");
var RmqService = class {
  static {
    __name(this, "RmqService");
  }
  amqpConnection;
  constructor(amqpConnection) {
    this.amqpConnection = amqpConnection;
  }
  async publish(exchange, routingKey, payload) {
    const { pattern, ...other } = payload || {};
    const ns = [
      "rmq:publish",
      exchange,
      routingKey
    ].filter(Boolean).join(":");
    const log = createLogger(ns);
    log.trace(`[${pattern}]`, other);
    const time = Date.now();
    const res = await this.amqpConnection.publish(exchange, routingKey, payload);
    const ms = Date.now() - time;
    log.debug(`[${pattern}]`, other, res || "OK", `${ms}ms`);
    return res;
  }
  async request(raw) {
    const { exchange, routingKey, payload } = raw || {};
    const { pattern, ...other } = payload || {};
    const ns = [
      "rmq:request",
      exchange,
      routingKey
    ].filter(Boolean).join(":");
    const log = createLogger(ns);
    log.trace(`[${pattern}]`, other);
    const time = Date.now();
    const res = await this.amqpConnection.request(raw);
    const ms = Date.now() - time;
    log.debug(`[${pattern}]`, other, res || "OK", `${ms}ms`);
    return res;
  }
};
RmqService = _ts_decorate([
  Injectable(),
  _ts_metadata("design:type", Function),
  _ts_metadata("design:paramtypes", [
    typeof AmqpConnection === "undefined" ? Object : AmqpConnection
  ])
], RmqService);

export { RmqService };
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-RCDLBQRW.js.map