import { getRmqConfig } from './chunk-QINYOTRU.js';
import { __name } from './chunk-H736K5TN.js';
import { RabbitRPC } from '@golevelup/nestjs-rabbitmq';
import { createLogger } from '@lsk4/log';
import { applyDecorators } from '@nestjs/common';

var log = createLogger({
  ns: "rmq:rpc"
});
function RmqRPC(props) {
  const { channel } = props?.queueOptions || {};
  const channelConfig = getRmqConfig(`channels.${channel}`);
  const prefetchCount = props?.prefetchCount || channelConfig?.prefetchCount || void 0;
  const decorators = [];
  const message = `${channel}=${prefetchCount} ${props.routingKey || ""}`;
  if (prefetchCount) {
    log.debug(message);
    decorators.push(RabbitRPC(props));
  } else {
    log.trace(message);
  }
  return applyDecorators(...decorators);
}
__name(RmqRPC, "RmqRPC");

export { RmqRPC };
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-ZGDCU7LA.js.map